<html>

<head>

<title>Postfix - the Big Picture</title>

<META NAME="ROBOTS" CONTENT="NOINDEX,NOFOLLOW">
</head>

<body background="obsolete.gif">

<h1><a href="big-picture.html"><img src="small-picture.gif" width="115" height="45"></a> Postfix
- the Big Picture</h1>

<hr>

<p> <strong> Note: this web page is no longer maintained. It exists
only to avoid breaking links in web pages that describe earlier
versions of the Postfix mail system. </strong> </p>

<img src="big-picture.gif" width="810" height="269">

<p>

The figure shows the main Postfix system components, and the main
information flows between them. Postfix system components are
introduced in the <a href="receiving.html">Postfix anatomy</a>
documentation.

<p>

<ul>

<li>Yellow ellipsoids are mail programs.

<li>Yellow boxes are mail queues or files.

<li>Blue boxes are lookup tables.

<li>Programs in the large box run under control by the Postfix
resident <a href="master.8.html">master</a> daemon.

<li>Data in the large box is property of the Postfix mail system.

</ul>

In order to keep the big picture readable the following elements were omitted:

<p>

<ul>

<li>The Postfix <a href="commands.html">command-line utilities</a>.

<li>The Postfix resident <a href="master.8.html">master</a> daemon.

<li>The DNS lookups by the SMTP <a href="smtpd.8.html">server</a>
and <a href="smtp.8.html">client</a> daemons

<li>The <a href="bounce.8.html">bounce or defer</a> daemon and the
flow of bounced mail.

<li>The address rewriting and resolving requests by the SMTP server
and by the local delivery agent.

<li>The flow of mail forwarded by the local delivery agent.

<li>The flow of <a href="basic.html#notify">postmaster notices</a>
for protocol errors, policy violations, etc.

<li>Triggers to alert the <a href="pickup.8.html">pickup</a> daemon
and <a href="qmgr.8.html">queue manager</a> that new mail has arrived
in the <b>maildrop</b> and <B>incoming</b> queues, respectively.

</ul>

<hr>

</body>

</html>
